/*
 * Copyright (c) 2000,2012 CNRS/LAAS
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _GYROKVH5000_H
#define _GYROKVH5000_H

#define GYRO_KVH5000_MAX_ANGULAR_SPEED_DEG_S    500.0  /* degre/second */

#define GYRO_KVH5000_READ_TASK_NAME		"tGyro"
#define GYRO_KVH5000_READ_TASK_PRIORITY		20
#define GYRO_KVH5000_READ_TASK_STACK_SIZE	8192


struct GYRO_KVH5000_DATA {
	struct GYRO_DATA gd;	/* device independant part - must come first */
	int fd;			/* serial line file descriptor */
	int dataValid;		/* valid data flag */
	pthread_t taskId;	/* read task id */
	int stop;		/* read task stop flag */
};

#endif
